CHMOD(1)

NAAM
chmod - toegangsrechten veranderen

SAMENVATTING
chmod [OPTIE]... MODUS[,MODUS]... BESTAND...
chmod [OPTIE]... OCTALE_MODUS BESTAND...
chmod [OPTIE]... --reference=REFERENTIEBESTAND BESTAND...

BESCHRIJVING
Deze handleiding documenteert de GNU versie van chmod. chmod verandert de toegangsrechten van elk bestand volgens modus, deze wordt bepaald door ofwel een symbolische waarde ofwel een octaal getal dat het bit patroon van de nieuwe toegangsrechten voorsteld.

Het formaat van de symbolische waarde is [ugoa...][[-+=][perms...]...], waar perms gelijk is aan nul of meer letters uit de verzameling rwxXst zijn, of één enkele letter uit de verzameling ugo. Er mogen meerdere symbolische waardes opgegeven worden, mits gescheiden door komma's.

Een combinatie van de letters ugoa bepaald voor wie de toegangsrechten van het bestand veranderd worden: de eigenaar (u), groepsleden (g), niet-groepsleden (o), of alle gebruikers (a). Als geen van deze is opgegeven, doet chmod alsof (a) werd opgegeven, behalve dat in dat geval de bits zoals gezet in het umask niet veranderd worden.

De operator + zorgt ervoor dat de geselecteerde toegangsrechten worden toegevoegd aan de bestaande toegangsrechten van het bestand; - verwijderd ze; en = voegt ze toe en verwijderd niet genoemde bits behalve dat niet genoemde set-user en set-groep-ID bits voor mappen niet veranderd worden.

De letters rwxXst selecteren toegangsrechten van de desbetreffende eigenaar: lees (r), schrijf (w), uitvoeren (of zoeken voor mappen) (x), uitvoeren/zoeken alleen als het bestand een map is of het reeds de uitvoer rechten voor sommige gebruikers (X) heeft, set-user of set-group-ID bij uitvoer (s), beperkte-wis-vlag of sticky-bit (t). In plaats van een of meer van deze letters, kun je ook exact één van de letters ugo opgeven: de toegekende toegangsrechten aan de eigenaar van het bestand (u), de rechten toegekend aan groepsleden (g), en de rechten toegekend aan de gebruikers die niet tot een van de vorige categorien horen (o).

Het octale getal bestaat uit een tot vier cijfers (0-7), verkregen door het optellen van de bits met waarden 4, 2 en 1. Weggelaten cijfers worden gezien als voorloopnullen. Het eerste cijfer bepaald de set-user-ID (4), de set-groep-ID (2) en de beperkt-wis-vlag of het sticky-bit (1). Het tweede cijfer bepaald de toegangsrechten van de eigenaar van het bestand: lees (4), schrijf (2), en uitvoeren (1); het derde bepaald de toegangsrechten voor gebruikers uit dezelfde groep; en het vierde voor gebruikers die niet tot de groep behoren.

chmod verandert nooit de toegangsrechten van een symbolische koppeling; de chmod systeem aanroep kan die rechten namelijk niet veranderen. Dat is geen probleem omdat de toegangsrechten van symbolische koppelingen nooit gebruikt worden. Wel is het zo dat voor elke symbolische koppeling, opgegeven op de opdrachtregel, chmod de toegangsrechten van het bestand waar naar verwezen worden gewijzigd. Daar en tegen negeert, chmod symbolische koppelingen tijdens het recursief doorlopen van mappen. Opties die dit gedrag veranderen worden beschreven in het OPTIES hoofdstuk.

SETUID EN SETGID BITS
chmod wist het set-group-ID bit van een regulier bestand als het group-ID van het bestand niet overeenkomt met het effectieve groep-ID of een van de aanvullende groep-ID´s van de gebruiker, behalve als de gebruiker de juiste rechten heeft. Extra beperkingen kunnen er voor zorgen dat de set-user-ID en set-group-ID bits van MODE of REFERENTIEBESTAND genegeerd worden. Dit gedrag hangt af van het beleid en functionaliteit van de onderliggende chmod systeem aanroep. Bij twijfel raadpleeg dan het onderliggende systeem gedrag.

chmod behoudt set-user-ID en set-group-ID bits voor mappen behalve als je ze expliciet opgeeft. Je kunt de bits zetten en wissen met de symbolische modus zoals u+s en g-s. Om deze bits te wissen voor mappen met behulp van een octaal getal is een additionele voorloopnul zoals 00755, voorafgaande minus zoals -6000, of voorafgaande = zoals in =755 nodig.

BEPERKTE-WIS-VLAG OF STICKY-BIT
De beperkte-wis-vlag of het sticky-bit is een enkel bit, waarvan de betekenis afhangt van het type van het bestand. Voor mappen, voorkomt het dat niet gerechtigde gebruikers het bestand kunnen wissen of hernoemen in de map behalve als ze eigenaar van het bestand of van de map zijn; dit wordt de beperkte-wis-vlag van de map genoemd, en wordt veelal gevonden in mappen die open staan voor de wereld zoals /tmp. Voor reguliere bestanden op enkele oudere systemen, zorgt het bit voor het opslaan van het image van het programma op het swap apparaat zodat het sneller laadt wanneer het wordt uitgevoerd; dit wordt het sticky-bit genoemd.

OPTIES

Verander de modus van elk BESTAND naar MODUS. Met -reference, verander de modus van elke BESTAND naar dat van het REFERENTIEBESTAND.

-c, --changes
    zoals uitgebreid maar geef alleen een melding als er een verandering is aangebracht

-f, --silent, --quiet
    onderdruk de meeste foutmeldingen

-v, --verbose
    geef een melding voor elk verwerkt bestand

--dereference
    niet de symbolische koppelingen bewerken maar de bestanden waarnaar ze verwijzen

-h, --no-dereference
    wijzig elke symbolische koppeling, in plaats van de verwijzer

--no-preserve-root
    de '/' niet speciaal behandelen (standaard)

--preserve-root
    niet recursief werken op '/'

--reference=REFERENTIEBESTAND
    gebruik REFERENTIEBESTAND modus in plaats van het opgeven van MODE waarde. REFERENTIEBESTAND wordt altijd van de referentie ontdaan als het een symbolische koppeling is

-R, --recursive
    bestanden en mappen recursief bewerken

De volgende opties veranderen de wijze van doorlopen van de mappen hiërarchie als optie -R werd opgegeven. Bij meerdere van deze opties, geldt de laatste. "-H" is de standaard.

-H  als een argument op de opdrachtregel een symbolische koppeling naar een map is, dan deze map doorlopen

-L  elke symbolische koppeling naar een map volgen

-P  symbolische koppelingen niet volgen

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Iedere MODUS is van de vorm '[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+'.

AUTEUR
Geschreven door David MacKenzie en Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
chmod(2)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/chmod>
of lokaal via: info '(coreutils) chmod invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.